Subject: [bug#74757] [PATCH 0/3] Linux-libre updates (2024-12-09)

From: Dariqq <[email-masked]>
Date: Sun, 15 Dec 2024 09:23:46 +0000

Hi Leo,

Apologies for the rather late response.

On 10.12.24 03:50, Leo Famulari wrote:
> On Mon, Dec 09, 2024 at 09:38:27PM +0000, Dariqq wrote:
>> Hello,
>>
>> Here are the updates for linux-libre from 2024-12-05 and 2024-12-09.
> 
> Thank you! I pushed these patches to the 'kernel-updates' branch to
> build them and make it easy to test them.
> 
> https://ci.guix.gnu.org/eval/1892282
> https://ci.guix.gnu.org/jobset/kernel-updates
> 
>> The 6.11 and the 4.19 series are now marked as EOL on kernel.org and should be removed soon.
> 
> Noted! The end of the 4s... crazy.
> 
>> Haven't tried to get 6.12 packaged yet. Are there instructions for updating the config files?
> 
> Basically, check out the source code of the kernel you want to build.
> Find the most recent Guix config file that corresponds to the system
> type and kernel release series that you want to build for. Copy it into
> the root of the kernel source tree as '.config'. Make the kernel
> dependencies available with `guix shell -D linux-libre` and then run
> `make ARCH=$systemtype oldconfig`.
> 
> We build kernels for systems of these types:
> arm <- 32-bit ARM, called "armhf" in Guix
> arm64 <- called "aarch64" in Guix
> i386 <- 32-bit Intel compatible, called "i686" in Guix
> riscv
> amd64 <-64-bit Intel compatible, called "x86_64" in Guix
> 
> And the config files are located in the Guix source tree under
> 'gnu/packages/aux-files/linux-libre'.
> 
> In general, we aim to make the kernels support whatever hardware you
> throw at them. Distro kernels are big! But there's some judgement and
> personal choice involved too. Like, it's unlikely that anyone will use
> 32-bit ARM Guix on a Rockchip SBC and then use it to run some industrial
> device in a factory. And if they do, they can build their own kernel or
> ask us to enable the driver.
> 
> If you've never configured the build of the kernel, it asks you a series
> of questions about features and drivers to support. I use my judgment,
> read online documentation about the options, and ask on #guix IRC or
> similar places for advice. Guix kernels are supposed to be
> fully-featured, not minimal.
> 
> I like this site for information about the options:
> 
> https://cateee.net/lkddb/web-lkddb/HSA_AMD.html
> 
> I had thought about tackling 6.12 next weekend. But I'm happy for you to
> try it, and I can help you too if you like. Please let me know what you
> think about trying this.

It seems a lot more complicated than I initally thought . Not sure if I 
want to go down the rabbit hole of kernel configuration.